import './patches';
import '@seald-io/sdk/lib/declarations';
import { SDKArguments, SealdSDK } from '@seald-io/sdk/lib/main.js';
declare const _default: ({ apiURL, hairlessURL, appId, nedbClient, sscrypto, getRSAKeyPromise, scrypt, databasePath, databaseKey, databaseRawKey, shouldWaterfallApi, plugins, keySize, createEncryptionSessionCache, encryptionSessionCacheTTL, encryptionSessionCacheCleanupInterval }: SDKArguments) => SealdSDK;
export default _default;
export { EncryptionSessionRetrievalFlow } from '@seald-io/sdk/lib/main';
export type { SealdSDK, SDKConstructor, SDKPlugin, EncryptionSession } from '@seald-io/sdk/lib/main';
export type { UserRights, RevokeResult, AuthorizeRecipientResult, SCrypt, Recipients, RecipientsWithRights, EncryptionSessionCacheEntry, EncryptionSessionCache } from '@seald-io/sdk/lib/main';
